# SEW Eurodrive MotionStudio Complete
# https://www.sew-eurodrive.de/os/dud/?tab=software&country=DE&language=de_DE&search=movitools
# 2017 foo.li systeme + software

$packageName    = 'sew-motionstudio-complete'
$packageSearch  = 'MotionStudio*'
$installerType  = 'exe'
$silentArgs     = '-s -k -l0007 -qr'
$version        = '6.2.0.1'
$url            = '\\unxfsv001\software\free\s\sew\MotionStudio\' + $version + 'SP2\Complete\SEWsetup.exe'
$checksum       = '6896BDF26BABEDE8A9E2AEBD06292694D7EFBC14'
$checksumType   = 'sha1'
$checksum64     = $checksum
$checksumType64 = $checksumType

try {
    if (!(Test-Path($url))){
        Write-Warning 'cannot access installer file. this package is for foo.li internal use only'
        throw 'no access to installer file'
    } else {
        #Install-ChocolateyPackage $packageName $installerType $silentArgs $url $url64 `
        #    -checksum $checksum -checksumType $checksumType `
        #    -checksum64 $checksum64 -checksumType64 $checksumType64
        Start-ChocolateyProcessAsAdmin -Statements "$silentArgs" -ExeToRun $url $url64
    }
} catch {
    throw $_.Exception
}